<?php

/**
 * notas_debito actions.
 *
 * @package    cobro_coactivo
 * @subpackage notas_debito
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class notas_debitoActions extends sfActions {

    /**
     * Executes index action
     *
     * @param sfRequest $request A request object
     */
    public function executeList(sfWebRequest $request) {
        //Revisar que sea post
        //$this->forward404Unless($request->isMethod('post'));
        //Guardar los parametros del request en el log
        $this->logMessage("---BEGIN Logging request");
        foreach ($request->getPostParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("--------------------------------------------------*  Ip: " . $_SERVER['REMOTE_ADDR']);
        foreach ($request->getGetParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("---END Logging request");

        /*
         * Manejar Errores
         */
        try {

            /*
             * Variables para el registro de log
             */

            //1 - indica operacion de consulta
            $id_ope_bd = 1;

            //obtener id maestro tabla
            $id_mae_bd = CN_TABLE::consultarIdTablaBD('ca_debito_ref');


            //CN_TABLE::registrarLog($request, $id_ope_bd, $id_mae_bd, $observacion);

            /*
             * Filtro para que levante por CO_ESTUDIOS_PREVIOS y por FASE
             */
            $cod_titulo = $request['cod_titulo'];

            //Se agrega filtro de sec_debito - 20160224
            $whereSecDebito = '';
            if (isset($request['sec_debito'])) {
                $whereSecDebito = 'and tab0.sec_debito = ' . $request['sec_debito'];
            }

            /*
             * Obtiene las vigencias/periodo que se encuentre en la tabla de saldos
             */
            $sql = <<<EOD
select 
tab0.id_debito,
tab0.sec_debito,
to_char(tab0.fecha_proceso,'dd/mm/yyyy') fecha_proceso,
tab0.saldo_actual

from ca_debito_cobro_v tab0

where tab0.id_referencia2 = '$cod_titulo'    
$whereSecDebito
   
order by
tab0.sec_debito     
EOD;
            $records = CN_TABLE::executeSQL($sql);

            //Ejecuta sql
            $this->totalRows = count($records);
            $this->list_data = $records;
        } catch (Exception $e) {

            $this->status = 1;
            $this->totalRows = 0;
            $this->startRow = 0;
            $this->endRow = 0;
            $this->list_data = array();
            $this->logMessage("ERROR!!!");
            $this->logMessage($e->getMessage());
        }
    }

}
